Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.kernel.basic
Class KernelBasic_NamingReactors

    java.lang.Object
      things.thinger.kernel.basic.KernelBasic_NamingReactors

All Implemented Interfaces:
  KernelBasic_Constants

    public class KernelBasic_NamingReactors

extends java.lang.Object
implements KernelBasic_Constants

Naming reactors specific to KernelBasic. This ensures consistent naming.

I used this far less than I should have to have made it useful. Perhaps this is why a mixin is a good addition to a language.

Version:
  1.0

  Version History

      EPG - Initial - 10 APR 06

Author:
  Erich P. Gatejen

Field Summary

Fields inherited from interface things.thinger.kernel.basic.KernelBasic_Constants
`CHANNEL_SYSTEM_BACKBONE, CONFIG_DIRECTORY, CORE_SERVICES, CORE_SERVICES_suffix_CLASS, CORE_SERVICES_suffix_LOCAL, CORE_SERVICES_suffix_NAME, DEBUGGING_IDE, DEFAULT_KERNEL_CLEARANCE, DEFAULT_LOGGING_FACTORY_IMPLEMENTATION, DEFAULT_SERVICE_CLEARANCE, DEFAULT_UNIVERSE_CONFIG, DEFAULT_USER_CLEARANCE, ID_SEPERATOR, KERNEL_ID_STRING, KERNEL_ID_TAG, KERNEL_LOG_PATH, KERNEL_RUNTIME_SLEEP_INTERVAL, KERNEL_SHUTDOWN__SWEEPS, LOG_DIRECTORY, LOG_SUFFIX, LOGGING_FACTORY_IMPLEMENTATION, LOGGING_LEVEL, PROCESS_ID_STRING_PREFIX, PROCESS_ID_TAG_PREFIX, RESOURCENAME_LOGGER_PREFIX, SERVICE_ID_STRING_PREFIX, SERVICE_ID_TAG_PREFIX, SERVICE_LOG_PREFIX, SHARED_ROOT_GLOBAL_SPACE, SYSTEM_FILESYSTEM_ROOT, THINGS_CACHE_LOCATION, THINGS_UNIVERSE_LOCATION_PLY, UNIVERSE_SYSTEM_DEFAULT_NAME_CONFIG, UNIVERSE_USER_DEFAULT_NAME_CONFIG, USER_FILESYSTEM_ROOT, USER_LOG_PREFIX, USER_ROOT, USER_ROOT_CONFIGURED_SPACE, USER_ROOT_GLOBAL_SPACE, USER_ROOT_PROCESS_SPACE, USER_suffix_KERNEL_NAME, USERSPACE_ID_STRING, USERSPACE_ID_TAG`

Constructor Summary
`KernelBasic_NamingReactors()`

Method Summary
`static java.lang.String` | `rLOGGER_LOCATION(WhoAmI owner)`
`static java.lang.String` | `rLOGGER_NAMED_RESOURCE_ID(java.lang.String name)`
`static java.lang.String` | `rLOGGER_RESOURCE_ID(WhoAmI owner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelBasic_NamingReactors

    public KernelBasic_NamingReactors()

Method Detail

### rLOGGER_RESOURCE_ID

    public static final java.lang.String rLOGGER_RESOURCE_ID(WhoAmI owner)

### rLOGGER_NAMED_RESOURCE_ID

    public static final java.lang.String rLOGGER_NAMED_RESOURCE_ID(java.lang.String name)

### rLOGGER_LOCATION

    public static final java.lang.String rLOGGER_LOCATION(WhoAmI owner)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.